Skip to content
Start here

List proxy endpoints

zero_trust.gateway.proxy_endpoints.list(ProxyEndpointListParams**kwargs) -> SyncSinglePage[ProxyEndpoint]
GET/accounts/{account_id}/gateway/proxy_endpoints

List all Zero Trust Gateway proxy endpoints for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
ReturnsExpand Collapse
One of the following:
class ZeroTrustGatewayProxyEndpointIP:
ips: List[GatewayIPs]

Specify the list of CIDRs to restrict ingress connections.

name: str

Specify the name of the proxy endpoint.

id: Optional[str]
created_at: Optional[datetime]
formatdate-time
kind: Optional[Literal["ip"]]

The proxy endpoint kind

subdomain: Optional[str]

Specify the subdomain to use as the destination in the proxy client.

updated_at: Optional[datetime]
formatdate-time
class ZeroTrustGatewayProxyEndpointIdentity:
kind: Literal["identity"]

The proxy endpoint kind

name: str

Specify the name of the proxy endpoint.

id: Optional[str]
created_at: Optional[datetime]
formatdate-time
subdomain: Optional[str]

Specify the subdomain to use as the destination in the proxy client.

updated_at: Optional[datetime]
formatdate-time

List proxy endpoints

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.gateway.proxy_endpoints.list(
    account_id="699d98642c564d2e855e9661899b7252",
)
page = page.result[0]
print(page)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "ips": [
        "192.0.2.1/32"
      ],
      "name": "Devops team",
      "id": "ed35569b41ce4d1facfe683550f54086",
      "created_at": "2014-01-01T05:20:00.12345Z",
      "kind": "ip",
      "subdomain": "oli3n9zkz5.proxy.cloudflare-gateway.com",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "ips": [
        "192.0.2.1/32"
      ],
      "name": "Devops team",
      "id": "ed35569b41ce4d1facfe683550f54086",
      "created_at": "2014-01-01T05:20:00.12345Z",
      "kind": "ip",
      "subdomain": "oli3n9zkz5.proxy.cloudflare-gateway.com",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}